const _Http = getApp().globalData.http;
let count = 0; //接口完成数量

function loginMsg(res) {
    wx.setStorageSync('account_list', res.account_list);
    if (res.account_list.length == 1) {
        wx.setStorageSync('userMsg', res.account_list[0])
        query_userauth();
    } else {
        wx.redirectTo({
            url: './selectSite',
        })
    }
}
/* 获取用户权限 */
function query_userauth(i = 0) {
    if (i == 5) return wx.showToast({
        title: '权限查询失败，请稍后再试',
        icon: "none"
    })
    if (i == 0) {
        query_adspacelist();
        querySite_Parameter();
    }
    _Http.basic({
        "classname": "sysmanage.develop.userauth.userauth",
        "method": "query_userauth",
        content: {
            nocache: true
        }
    }).then(res => {
        if (res.msg != '成功') return query_userauth(i + 1);
        wx.setStorageSync('userauth', res.data);
        count += 1;
        toHome();
    });
    if (!getApp().globalData.socketEstablish) getApp().initSocket();
}
/* 查询站点数据 */
function querySite_Parameter(i = 0) {
    if (i == 5) return;
    _Http.basic({
        "classname": "webmanage.site.site",
        "method": "querySite_Parameter",
        "content": {}
    }).then(res => {
        if (res.msg != '成功') return query_userauth(i + 1);
        wx.setStorageSync('siteP', res.data);
        count += 1;
        toHome();
    })
}
/* 查询轮播图 */
function query_adspacelist(i = 0) {
    if (i == 5) return;
    _Http.basic({
        "classname": "common.adspace.adspace",
        "method": "query_adspacelist",
        "content": {}
    }).then(res => {
        if (res.msg != '成功') return query_adspacelist(i + 1);
        wx.setStorageSync('banner_list', res.data)
        count += 1;
        toHome();
    })
}

function toHome() {
    if (count < 3) return;
    let pages = getCurrentPages();
    let prevPage = pages[pages.length - 2];
    if (prevPage && prevPage.__route__ == 'pages/tabbar/home/index') prevPage.refreshData();
    wx.switchTab({
        url: '/pages/tabbar/home/index'
    })
}
/* 站点数据查询 */
module.exports = {
    loginMsg,
    query_userauth
}